List virtual account applications
Query all virtual account applications of the MSO, with pagination.
bearerAuthAuthorizationBearer <token>The access_token obtained from POST /oauth2/token. Header format: Authorization: Bearer {accessToken}.
requestNo?stringApplication number (exact match). Length 32
status?stringApplication status
"PENDING""EMAIL_SENT""SUCCESS""FAILED""CANCELLED"virtualAccountNo?stringVirtual account number (exact match). Length 32
accountName?stringAccount holder name (fuzzy search). Length 128
pageNum?integerCurrent page number, default 1
1 <= value1pageSize?integerNumber of records per page, default 10, maximum 1000
1 <= value <= 100010X-Channel-Provider?stringProvider identifier, such as GLDB. Defaults to GLDB if not passed
"GLDB"Returns application records with pagination.
application/json- response
code?integerBusiness status code
message?stringtraceId?stringRequest trace ID. Provide it when you contact technical support
data?curl -X GET 'https://api.test.stabofx.com/openapi/v1/wallet/virtual-account-requests'{ "code": 200, "message": "OK", "traceId": "6a3ae549-32dd-469a-a6b8-4e213c070930", "data": { "total": 45, "size": 1, "current": 2, "pages": 45, "records": [ { "requestNo": "SA0000000001", "status": "SUCCESS", "accountName": "Example Trading Pte Ltd", "virtualAccountNo": "1000000001", "currency": "SGD", "contactName": "Example Contact", "contactEmail": "contact@example.com", "contactPhone": "+6500000000", "createdAt": "2025-12-01T15:30:45", "updatedAt": "2025-12-02T10:15:20" } ] }}Retrieve a virtual account GET
Query the details of a virtual account by its virtual account number. The response fields are the same as the elements of the `records` array in List virtual accounts.
Retrieve a virtual account application GET
Query the details of a virtual account application by its application number.